Solved

App problem

  • 5 October 2018
  • 27 replies
  • 1237 views

I change my ISP yesterday and now I can't use my I'd app on my Android tablet. When I try to open the app I get a message saying unable to establish a secure connection. Please try later. My Android mobile using the same network opens fine. Any ideas??
icon

Best answer by Ryan 9 November 2018, 16:48

Hi @Johnnyboy,

It is interesting that your tablet is effectively spoofing an Android version that is newer than it's actual version; I've never heard of that before. The app will not work with Android 4.4.2 which is why this issue is happening. Sorry about that!

Ryan
View original

27 replies

Userlevel 1
Badge +5
Hi @Johnnyboy,

You may need to update the version of the app you are using on the tablet.
We'd recommend uninstalling and reinstalling the app.

If this doesn't help, let us know and we can try some more troubleshooting with you.


Jade
Hi Jade have uninstalled and re installed but the problem is still there. The version I'm using is2.1.2.9365
Userlevel 6
Badge +6
Hi @Johnnyboy,

What Android version is your device? Unfortunately we have identified an issue with some older versions which will mean our app will no longer work.

Ryan
Hi Ryan my tablet is running Android 6.0 so not that old!!
Userlevel 4
Badge +6
Thanks, you you provide us with some more details on the device, have you tried clearing the app cache/ data since re-installing?
-Phil
Hi Phil, have just tried that, cleared cache and data but problem is still there.
Userlevel 6
Badge +6
Hi Phil, have just tried that, cleared cache and data but problem is still there.

Does the website work from your mobile browser here?

https://my.idmobile.co.uk/

Can you access the app when on Mobile data but just not on WiFi?

Mohammed
Hi Mohammed,
no I cant access the app on Mobile data or WiFi. Yes I can access the website from my device.
Doesn't look like this problem is going to be fixed any time soon!!!
Userlevel 6
Badge +6
Hi @Johnnyboy,

Please can you confirm what the make and model of your tablet is, as well as the current Android version and current App version you're using?

We will have this escalated in order to find out what is happening.

Ryan
Hi Ryan,
My Tablet is made by Mediatek and the model number is KT107H and is operating with Android 6.0 The app version is 2.1.2.9365
Userlevel 6
Badge +6
Thank you @Johnnyboy.

I have fed the issue back using those details and we'll see what we can find out for you.

Ryan
Userlevel 6
Badge +6
Hi

Long-shot on this one... System time is not Real?
If your Android device’s system time is not the real one or not matching with the current time zone, apps that require a secure SSL connection will error.

To fix the issue, you need to set up the system time with the current time zone.
Not all devices time will adjust correctly when British summer time ends!!!

Alternatively check you do not have antivirus or a firewall app running that may be blocking the app from working.

If you are using virgin media they have an odd apps running on the backend of all customers dashboard that can cause issues, I turn websafe off on mine. You will have to log into your virgin media account not the router.
Might be an idea since you have changed ISP to check your provider hasn't got something running!
Userlevel 6
Badge +6
Hi @Johnnyboy,

Our App team want to know the details of the SIM plan that you're using for you tablet i.e is it Data Only. If you don't want to disclose this publicly then let me know and we'll find an alternative route.

Ryan
Hi the SIM plan includes Data, Calls and txt.
Hi terrywebbs,
system time is ok, no firewalls or security programs are running and this app works fine on my android phone with the same ISP. I might have a look to see if Vodafone my ISP are blocking this app as I'm trying to log in from a third party Sim card. Dont know if that makes any sense??
Userlevel 6
Badge +6
Hi terrywebbs,
system time is ok, no firewalls or security programs are running and this app works fine on my android phone with the same ISP. I might have a look to see if Vodafone my ISP are blocking this app as I'm trying to log in from a third party Sim card. Dont know if that makes any sense??


Yes using a third party network other than the one intended for the ID app may possible cause an insecure connection issue but only if the sim card was vodaphone. ISP wont make any difference.


What will make a big difference is if you have a VPN running
Some apps can't run behind a VPN.

Check your mobile device hope you have't been running one?!
You will know if you have its something you have to setup manual or using an App service.
Your ISP wont be running this.
Hi terrywebbs, no VPN enabled.
Something I have discovered is this. Tablet was a cheapy. In settings "about tablet" it says Android version 6.0 but if I go into apps "All" Android System the version is 4.4.2 and Android System UI version 4.4.2 so I'm wondering if in fact I only have version 4.4.2 installed which will mean the iD wont work. Thoughts??
Userlevel 6
Badge +6
Hi

From what I have read on this forum the ID app wont work on older android software before version 6

Not to difficult to update the device if the manufacture still supports this
Under system>about>
you might find an update option to get the latest android
Hi no your right it wont work with older OS. There is no update option in system>about tablet.
I'm starting to think that I might have to root my tablet to allow me to update the OS but this involves the risk of bricking the tablet. On balance I'm not convinced that it's worth the risk to get the app working when I can access my account from my phone or the iD website
Userlevel 6
Badge +6
Hi no your right it wont work with older OS. There is no update option in system>about tablet.
I'm starting to think that I might have to root my tablet to allow me to update the OS but this involves the risk of bricking the tablet. On balance I'm not convinced that it's worth the risk to get the app working when I can access my account from my phone or the iD website



Your right it's not worth the hassle ...
You could potentially brick your device yes but if you have a recovery rom you can go back!
All is not lost. I have done this many times with frustration testing software on devices.
Thanks terrywebbs for your interest and input but sometimes it's worth remembering we're only here for a short time and I've decided worrying about some trivial app that influence my life not one not ain't worth it.👷lol
Userlevel 6
Badge +6
Hi @Johnnyboy,

It is interesting that your tablet is effectively spoofing an Android version that is newer than it's actual version; I've never heard of that before. The app will not work with Android 4.4.2 which is why this issue is happening. Sorry about that!

Ryan
Userlevel 1
I too have this error, on android 4.4. Your app information in Google store shows minimum android version 2.1! I think you need to update this information.
Userlevel 6
Badge +6
Hi @Tricky,

Thank you for this information, we'll ensure that it is fed back to the team.

Ryan

Reply